const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let newProduct = "gid://shopify/Product/" + vars.webrequest.body.product_id;
    let productsInWishlist = JSON.parse(vars.shopify_1.value);

    if (! productsInWishlist.includes(newProduct)) {
      productsInWishlist.push(newProduct);
    }

    Mesa.output.next({"products_in_wishlist": productsInWishlist});
  }
}
